import { Category } from "iconsax-react";
import { FC } from "react";
import { useTranslation } from "react-i18next";
import { useLocation } from "react-router-dom";
import { Pages } from "../../config/Pages";
import SubMenuItem from "./SubMenuItem";

const ServicesSubMenu: FC = () => {
  const location = useLocation();
  const { t } = useTranslation("global");

  const isActive = (name: string) => location.pathname.includes(name);

  return (
    <div className="py-12">
      <div className="flex gap-3 items-center border-b pb-10 px-6">
        <Category
          size={24}
          color="#000"
          variant="Bold"
        />
        <div className="text-xs">{t("sidebar.services")}</div>
      </div>

      <div className="flex flex-col mt-10 gap-4">
        <SubMenuItem
          title={t("submenu.service_category")}
          isActive={isActive("/services/category")}
          link={Pages.services.category}
          activeName="services"
        />
        <SubMenuItem
          title={t("submenu.services_list")}
          isActive={isActive("/services/list")}
          link={Pages.services.list}
          activeName="services"
        />
        <SubMenuItem
          title={t("submenu.reviews")}
          isActive={isActive("/services/reviews")}
          link={Pages.services.review}
          activeName="services"
        />
      </div>
    </div>
  );
};

export default ServicesSubMenu;
